# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/hwmon/st,tsc1641.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ST Microelectronics TSC1641 I2C power monitor

maintainers:
  - Igor Reznichenko <igor@reznichenko.net>

description: |
  TSC1641 is a 60 V, 16-bit high-precision power monitor with I2C and
  MIPI I3C interface

  Datasheets:
    https://www.st.com/resource/en/datasheet/tsc1641.pdf

properties:
  compatible:
    const: st,tsc1641

  reg:
    maxItems: 1

  interrupts:
    description: Optional alert interrupt.
    maxItems: 1

  shunt-resistor-micro-ohms:
    description: Shunt resistor value in micro-ohms. Since device has internal
      16-bit RSHUNT register with 10 uOhm LSB, the maximum value is capped at
      655.35 mOhm.
    minimum: 100
    default: 1000
    maximum: 655350

  st,alert-polarity-active-high:
    $ref: /schemas/types.yaml#/definitions/flag
    description: Default value is 0 which configures the normal polarity of the
      ALERT pin, being active low open-drain. Setting this to 1 configures the
      polarity of the ALERT pin to be inverted and active high open-drain.
      Specify this property to set the alert polarity to active-high.

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        power-sensor@40 {
            compatible = "st,tsc1641";
            reg = <0x40>;
            shunt-resistor-micro-ohms = <1000>;
            st,alert-polarity-active-high;
        };
    };
